Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2063470 - SELinux is preventing pmdakvm from 'search' accesses on the directory /sys/kernel/tracing.
Summary: SELinux is preventing pmdakvm from 'search' accesses on the directory /sys/ke...
Keywords:
Status: CLOSED DUPLICATE of bug 2041845
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 36
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zdenek Pytela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:605e5bcfd31c8454b37bab702e7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-03-12 23:08 UTC by Ian Laurie
Modified: 2022-03-14 14:07 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-14 14:07:44 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Ian Laurie 2022-03-12 23:08:34 UTC
Description of problem:
Logged into test ststem created from Fedora-Security-Live-x86_64-36_Beta-1.1.iso.
SELinux is preventing pmdakvm from 'search' accesses on the directory /sys/kernel/tracing.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that pmdakvm should be allowed search access on the tracing directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'pmdakvm' --raw | audit2allow -M my-pmdakvm
# semodule -X 300 -i my-pmdakvm.pp

Additional Information:
Source Context                system_u:system_r:pcp_pmcd_t:s0
Target Context                system_u:object_r:tracefs_t:s0
Target Objects                /sys/kernel/tracing [ dir ]
Source                        pmdakvm
Source Path                   pmdakvm
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
SELinux Policy RPM            selinux-policy-targeted-36.3-1.fc36.noarch
Local Policy RPM              selinux-policy-targeted-36.3-1.fc36.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 5.17.0-0.rc7.116.fc36.x86_64 #1
                              SMP PREEMPT Mon Mar 7 23:10:19 UTC 2022 x86_64
                              x86_64
Alert Count                   1
First Seen                    2022-03-13 10:03:07 AEDT
Last Seen                     2022-03-13 10:03:07 AEDT
Local ID                      b64c832f-5fc2-4dd0-925b-22ae419f3fcb

Raw Audit Messages
type=AVC msg=audit(1647126187.270:221): avc:  denied  { search } for  pid=1008 comm="pmdakvm" name="/" dev="tracefs" ino=1 scontext=system_u:system_r:pcp_pmcd_t:s0 tcontext=system_u:object_r:tracefs_t:s0 tclass=dir permissive=0


Hash: pmdakvm,pcp_pmcd_t,tracefs_t,dir,search

Version-Release number of selected component:
selinux-policy-targeted-36.3-1.fc36.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.17.0
hashmarkername: setroubleshoot
kernel:         5.17.0-0.rc7.116.fc36.x86_64
type:           libreport

Potential duplicate: bug 2041845

Comment 1 Zdenek Pytela 2022-03-14 14:07:44 UTC

*** This bug has been marked as a duplicate of bug 2041845 ***


Note You need to log in before you can comment on or make changes to this bug.